<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

show_title('site.png', 'Администрация сайта');
$config['newtitle'] = 'Администрация сайта';
# ###########################################################################################
# #                                     Вывод администрации                                ##
# ###########################################################################################
$queryadmin = DB :: $dbh -> query("SELECT `users_login`, `users_level` FROM `users` WHERE `users_level`>=? AND `users_level`<=?;", array(101, 105));
$arradmin = $queryadmin -> fetchAll();
$total = count($arradmin);

if ($total > 0) {
    foreach($arradmin as $value) {
        echo '<img src="../images/img/user.gif" alt="image" /> <b><a href="../pages/anketa.php?uz=' . $value['users_login'] . '&amp;' . SID . '">' . nickname($value['users_login']) . '</a></b>  (' . user_status($value['users_level']) . ') ' . user_online($value['users_login']) . '<br />';
    } 

    echo '<br />Всего в администрации: <b>' . $total . '</b><br /><br />';
    # ###########################################################################################
    # #                                     Быстрая почта                                      ##
    # ###########################################################################################
    if (is_user()) {
        echo '<big><b>Быстрая почта</b></big><br /><br />';

        echo '<div class="form">';
        echo '<form method="post" action="privat.php?act=send&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">';

        echo 'Выберите адресат:<br /><select name="uz">';

        foreach($arradmin as $value) {
            echo '<option value="' . $value['users_login'] . '"> ' . nickname($value['users_login']) . ' </option>';
        } 
        echo '</select><br />';
        echo 'Сообщение:<br />';
        echo '<textarea cols="25" rows="3" name="msg"></textarea><br />';
        echo '<input value="Отправить" type="submit" /></form></div><br />';
    } 
} else {
    show_error('Администрации еще нет!');
} 

echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a><br />';

include_once ('../themes/' . $config['themes'] . '/foot.php');

?>